<?php
/**
 * The image template file.
 *
 * @package WordPress
 * @subpackage BlogoLife
 * @since BlogoLife 3.0.0
 * @author Valeriu Tihai
 * @author Stylish WordPress Themes
 * @link https://stylishwp.com
 */
?>
<?php get_header(); ?>
<div class="row content collapse">
	<div class="columns small-12">
		<main id="main" class="site-main site-attachment" role="main">
			<?php while ( have_posts() ) : the_post(); ?>
				<article id="post-<?php the_ID(); ?>" <?php post_class("post post-single image-attachment"); ?>>
					<header class="entry-header">
						<?php the_title( '<h2 class="entry-title entry-title-image">', '</h2>' ); ?>
					</header><!-- .entry-header -->
						<?php
							$metadata = wp_get_attachment_metadata();
							printf( __( '<div class="full-attach">Original size: <a href="%1$s" title="Link to full-size image">%2$s &times; %3$s</a> in <a href="%4$s" title="Return to %5$s" rel="gallery">%6$s</a></div>', 'blogolife' ),
								esc_url( wp_get_attachment_url() ),
								$metadata['width'],
								$metadata['height'],
								esc_url( get_permalink( $post->post_parent ) ),
								esc_attr( strip_tags( get_the_title( $post->post_parent ) ) ),
								get_the_title( $post->post_parent )
							);
						?>
						<div class="post-image">
							<?php
								$attachments = array_values( get_children( array( 'post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID' ) ) );
								foreach ( $attachments as $k => $attachment ) :
									if ( $attachment->ID == $post->ID )
										break;
								endforeach;

								// If there is more than 1 attachment in a gallery
								if ( count( $attachments ) > 1 ) :
									$k++;
									if ( isset( $attachments[ $k ] ) ) :
										// get the URL of the next image attachment
										$next_attachment_url = get_attachment_link( $attachments[ $k ]->ID );
									else :
										// or get the URL of the first image attachment
										$next_attachment_url = get_attachment_link( $attachments[ 0 ]->ID );
									endif;
								else :
									// or, if there's only 1 image, get the URL of the image
									$next_attachment_url = wp_get_attachment_url();
								endif;
							?>
							<a href="<?php echo esc_url( $next_attachment_url ); ?>" title="<?php the_title_attribute(); ?>" rel="attachment">
								<?php
									$attachment_size = apply_filters( 'morning_attachment_size', 'large' );
									echo wp_get_attachment_image( $post->ID, $attachment_size ); ?>
							</a>

							<div class="post-nav-attachment">
								<div class="post-nav-prev-attachment">
									<?php previous_image_link( false, '<i class="fa fa-angle-left"></i>' ); ?>
								</div><!-- /.post-nav-prev -->

								<div class="post-nav-next-attachment">
									<?php next_image_link( false, '<i class="fa fa-angle-right"></i>' ); ?>
								</div><!-- /.post-nav-next -->
							</div><!-- /.post-nav -->
						</div><!-- /.post-image -->
						<div class="post-body">
							<div class="entry entry-caption">
								<?php the_content(); ?>
							</div><!-- /.entry -->
						</div><!-- /.post-body -->
						<footer class="entry-footer">
							<?php
								if (get_theme_mod( 'blogolife_show_hide_post_date' ) !== 'off' ) {
									blogolife_entry_date();
								}

								if (get_theme_mod( 'blogolife_show_hide_post_author' ) !== 'off' ) {
									blogolife_entry_author();
								}
								blogolife_entry_comments();
								edit_post_link( sprintf( __( 'Edit', 'blogolife' ) ), '<span class="edit-link f-link">', '</span>' );
							?>
						</footer><!-- .entry-footer -->
					</article><!-- /.post -->
				<?php comments_template(); ?>
			<?php endwhile; // end of the loop. ?>
		</main>
	</div>
</div>
<?php get_footer(); ?>
