<?php
/**
 * The template part for displaying content for documents
 *
 * @package WordPress
 * @subpackage BlogoLife
 * @since BlogoLife 3.0.7
 * @author Valeriu Tihai
 * @author Stylish WordPress Themes
 * @link https://stylishwp.com
 */

?>
<?php
	$pid = $post->ID;
	$page_meta 			= get_post_meta($pid);
	$document_file 		=  isset($page_meta['blogolife_document_file'][0]) ? $page_meta['blogolife_document_file'][0] : false;
	$document_size 		=  isset($page_meta['blogolife_document_file_size'][0]) ? $page_meta['blogolife_document_file_size'][0] : false;
	$document_page 		=  isset($page_meta['blogolife_document_pages'][0]) ? $page_meta['blogolife_document_pages'][0] : false;
 ?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
	</header><!-- .entry-header -->
	<div class="postformat  blogolife-gradient">
		<i class="<?php echo bltk_get_icon_name( $document_file );  ?>"></i>
	</div>
	<?php if ( has_post_thumbnail() ) : ?>
		<div class="post-thumbnail">
			<?php the_post_thumbnail();?>
		</div><!-- .post-thumbnail -->
	<?php endif; ?>
	<div class="row">
		<div class="columns small-12 medium-3">
			<div class="entry-cpt-details">
				<div class="document-icon text-center">
					<a href="<?php echo esc_url( $document_file ); ?>">
						<i class="<?php echo bltk_get_icon_name( $document_file );  ?>"></i>
					</a>
				</div>
				<?php if ($document_size) : ?>
					<div class="document-size text-center">
						<span>
							<?php echo esc_html( $document_size ); ?>
						</span>
					</div>
				<?php endif; ?>
				<div class="document-page text-center">
					<span>
						<?php echo esc_html( $document_page ); ?>
					</span>
				</div>
				<div class="document-download text-center">
					<a class="button" href="<?php echo esc_url( $document_file ); ?>">
						<?php _e('Download', 'blogolife'); ?>
					</a>
				</div>
			</div>
		</div>
		<div class="columns small-12 medium-9">
			<div class="entry-content">
				<?php if ( is_search() AND  has_excerpt( $post->ID ) ) {
					the_excerpt();
				} else {
					the_content( sprintf(
						__( 'Continue reading %s', 'blogolife' ),
						the_title( '<span class="screen-reader-text">', '</span>', false )
					) );
				}
				wp_link_pages( array(
					'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'blogolife' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
					'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'blogolife' ) . ' </span>%',
					'separator'   => '<span class="screen-reader-text">, </span>',
				) );
				?>
			</div><!-- .entry-content -->
		</div>
	</div>

	<footer class="entry-footer">
		<?php
			if (get_theme_mod( 'blogolife_show_hide_page_date' ) !== 'off' ) {
				blogolife_entry_date();
			}

			if (get_theme_mod( 'blogolife_show_hide_page_author' ) !== 'off' ) {
				blogolife_entry_author();
			}

			//blogolife_entry_comments();

			edit_post_link( sprintf( __( 'Edit', 'blogolife' ) ), '<span class="f-link edit-link">', '</span>' );
		?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
<?php if (is_single()) {
		echo blogolife_content_navigation('postnav');
	}
?>
<?php //comments_template(); ?>
