<?php
/**
 * The template part for displaying content gallery
 *
 * @package WordPress
 * @subpackage BlogoLife
 * @since BlogoLife 3.0.0
 * @author Valeriu Tihai
 * @author Stylish WordPress Themes
 * @link https://stylishwp.com
 */
?>




<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
	</header><!-- .entry-header -->
	<div class="postformat blogolife-gradient">
		<i class="<?php echo blogolife_postformat_icon (get_post_format()); ?>"></i>
	</div>
		<div class="entry-content">
			<?php if ( is_search() AND  has_excerpt( $post->ID ) ) {
				the_excerpt();
				} else {
					$post_img_gallery = get_post_gallery( $page_id, false );
					if( is_single() && (array_key_exists('ids', $post_img_gallery))) {
						the_content( sprintf(
							__( 'Continue reading %s', 'blogolife' ),
							the_title( '<span class="screen-reader-text">', '</span>', false )
						) );
					} else {
						$post_img_gallery_ids = explode( ",", $post_img_gallery['ids'] );
						$image_list = '<div class="orbit" role="region"  data-options="autoPlay:false; animInFromLeft:fade-in; animInFromRight:fade-in; animOutToLeft:fade-out; animOutToRight:fade-out;" aria-label="'.get_the_title().'" data-orbit data-use-m-u-i="true">';
						$image_list .= '<ul class="orbit-container">';
						$image_list .= '<button class="orbit-previous" aria-label="previous"><span class="show-for-sr">Previous Slide</span><i class="fa fa-angle-left"></i></button>';
						$image_list .= '<button class="orbit-next" aria-label="next"><span class="show-for-sr">Next Slide</span><i class="fa fa-angle-right"></i></button>';
						foreach( $post_img_gallery_ids as $id ) {
							$img_thumb   = wp_get_attachment_image_src ( $id, 'large');
							$image_list .= '<li class="orbit-slide"><img src="' . esc_url($img_thumb["0"]) . '" /></li>';
						}
						$image_list .= '</ul></div>';
						echo $image_list;
					}
				}
				wp_link_pages( array(
					'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'blogolife' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
					'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'blogolife' ) . ' </span>%',
					'separator'   => '<span class="screen-reader-text">, </span>',
				) );

				if (get_theme_mod( 'blogolife_show_hide_post_categories' ) !== 'off' ) {
					blogolife_entry_taxonomies_categories();
				}
				if (get_theme_mod( 'blogolife_show_hide_post_tags' ) !== 'off' ) {
					blogolife_entry_taxonomies_tags();
				}
			?>
		</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php
			if (get_theme_mod( 'blogolife_show_hide_post_date' ) !== 'off' ) {
				blogolife_entry_date();
			}

			if (get_theme_mod( 'blogolife_show_hide_post_author' ) !== 'off' ) {
				blogolife_entry_author();
			}

			blogolife_entry_comments();

			edit_post_link( sprintf( __( 'Edit', 'blogolife' ) ), '<span class="edit-link f-link">', '</span>' );
		?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
<?php comments_template(); ?>
