<?php
/**
 * The template part for displaying content for testimonial
 *
 * @package WordPress
 * @subpackage BlogoLife
 * @since BlogoLife 3.0.7
 * @author Valeriu Tihai
 * @author Stylish WordPress Themes
 * @link https://stylishwp.com
 */

?>
<?php
	$pid = $post->ID;
	$page_meta 					= get_post_meta($pid);
	$testimonial_company_name 	= isset($page_meta['blogolife_testimonial_company_name'][0]) ? $page_meta['blogolife_testimonial_company_name'][0] : false;
	$testimonial_company_email 	= isset($page_meta['blogolife_testimonial_company_email'][0]) ? $page_meta['blogolife_testimonial_company_email'][0] : false;
	$testimonial_company_url 	= isset($page_meta['blogolife_testimonial_company_url'][0]) ? $page_meta['blogolife_testimonial_company_url'][0] : false;
 ?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<h2 class="entry-title"><a><?php the_title(); ?></a></h2>
	</header><!-- .entry-header -->
	<div class="postformat  blogolife-gradient">
		<?php echo get_avatar($testimonial_company_email, $size = '30', $default = 'mm' ); ?>
	</div>
	<div class="row">
		<div class="columns small-12">
			<div class="entry-content">
				<?php the_content(); ?>
			</div><!-- .entry-content -->
		</div>
	</div>

	<footer class="entry-footer">
		<?php
			if (get_theme_mod( 'blogolife_show_hide_page_date' ) !== 'off' ) {
				blogolife_entry_date();
			}
			if ($testimonial_company_name AND $testimonial_company_url) {
				printf( '<span class="f-site-company f-link"><a target="_blank" href="%1$s" rel="nofollow">%2$s</a></span>',
					esc_url( $testimonial_company_url ),
					$testimonial_company_name
				);
			}
			edit_post_link( sprintf( __( 'Edit', 'blogolife' ) ), '<span class="f-link edit-link">', '</span>' );
		?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
<?php if (is_single()) {
		echo blogolife_content_navigation('postnav');
	}
?>
<?php //comments_template(); ?>
