<?php
/**
 * Toolbar Menu, Footer link and Feed Widget
 *
 * @package WordPress
 * @subpackage BlogoLife
 * @since BlogoLife 3.0.0
 * @author Valeriu Tihai
 * @author Stylish WordPress Themes
 * @link https://stylishwp.com
 */

/*------------------------------------------------------------
	Toolbar Menu
============================================================*/
if ( ! function_exists( 'blogolife_bar_menu' ) ):

	function blogolife_bar_menu() {
		global $wp_admin_bar;
		if ( !is_super_admin() || !is_admin_bar_showing() )
			return;
		$admin_dir = get_admin_url();

		$wp_admin_bar->add_menu(
			array(
				'id' => 'custom_menu',
				'title' => __( 'StylishWP Panel', 'blogolife' ),
				'href' => FALSE,
				'meta' => array('title' => __('StylishWP Panel', 'blogolife'), 'class' => 'blogolife_panel')
			)
		);

		$wp_admin_bar->add_menu(
			array(
				'id' => 'blogolife_swp',
				'parent' => 'custom_menu',
				'title' => __( 'StylishWP Themes', 'blogolife' ),
				'href' => esc_url('https://stylishwp.com/?utm_source=Site&utm_medium=ToolbarLink&utm_campaign=BlogoLife'),
				'meta' => array('target' => 'blank', 'title' => __('Premium Wordpress Themes by StylishWP', 'blogolife') )
				)
		);

		$wp_admin_bar->add_menu(
			array(
				'id' => 'blogolife_fb',
				'parent' => 'custom_menu',
				'title' => __( 'Become our fan on Facebook', 'blogolife' ),
				'href' => esc_url('http://www.facebook.com/stylishwp'),
				'meta' => array('target' => 'blank', 'title' => __('Become our fan on Facebook', 'blogolife'))
			)
		);

		$wp_admin_bar->add_menu(
			array(
				'id' => 'blogolife_tw',
				'parent' => 'custom_menu',
				'title' => __( 'Follow us on Twitter', 'blogolife' ),
				'href' => esc_url('http://twitter.com/#!/stylishwp'),
				'meta' => array('target' => 'blank', 'title' => __('Follow us on Twitter', 'blogolife'))
			)
		);
	}
	add_action('admin_bar_menu', 'blogolife_bar_menu', '1000');

endif;
/*------------------------------------------------------------
	Display Feed in dashboard
============================================================*/
if ( ! function_exists( 'blogolife_dashboard_widgets' ) ):

	function blogolife_dashboard_widgets() {
		global $wp_meta_boxes;
		unset(
			$wp_meta_boxes['dashboard']['normal']['core']['dashboard_plugins'],
			$wp_meta_boxes['dashboard']['side']['core']['dashboard_secondary'],
			$wp_meta_boxes['dashboard']['side']['core']['dashboard_primary']
		);
		wp_add_dashboard_widget( 'dashboard_custom_feed', __('StylishWP News', 'blogolife') , 'blogolife_dashboard_custom_feed_output' );
	}

	add_action('wp_dashboard_setup', 'blogolife_dashboard_widgets');

endif;

/*------------------------------------------------------------
	Custom Feed Output
============================================================*/
if ( ! function_exists( 'blogolife_dashboard_custom_feed_output' ) ):

	function blogolife_dashboard_custom_feed_output() {

		echo '<div class="rss-widget rss-swp" style="">';
			echo '<div style="font-size: 15px; margin-bottom:5px;">Latest News</div>';

			wp_widget_rss_output(
				array(
					'url' => esc_url('https://stylishwp.com/feed/'),
					'title' => __('StylishWP News', 'blogolife'),
					'items' => 3,
					'show_summary' => 1,
					'show_author' => 0,
					'show_date' => 1
				)
			);
		echo '</div>';
	}
endif;

/*------------------------------------------------------------
	Footer links
============================================================*/
if ( ! function_exists( 'remove_footer_admin' ) ):
	function remove_footer_admin () {
		echo 'Thank you for creating with <a href="http://www.wordpress.org" target="_blank">WordPress</a> | You use a theme created by: <a href="https://stylishwp.com/?utm_source=Site&utm_medium=FooterLinkAdmin&utm_campaign=BlogoLife" target="_blank">StylishWP</a></p>';
	}
	add_filter('admin_footer_text', 'remove_footer_admin');
endif;
