<?php
/**
 * The template for the sidebar containing the main widget area
 *
 * @package WordPress
 * @subpackage BlogoLife
 * @since BlogoLife 3.0.0
 * @author Valeriu Tihai
 * @author Stylish WordPress Themes
 * @link https://stylishwp.com
 */
?>

<?php if ( is_active_sidebar( 'sidebar-widgets' )  ) : ?>
	<aside id="secondary" class="sidebar widget-area site-secondary" role="complementary">
		<?php if( ! dynamic_sidebar( 'sidebar-widgets' ) ) : ?>
			<aside id="search" class="sidebar-section widget widget_search">
				<div class="sidebar-section-title page-header blogolife-gradient">
					<?php _e( 'Welcome', 'blogolife' ); ?>
				</div>
				<p>
					<?php _e( 'If you need a more accessible way to add widgets, go to WP Admin -> Appearance -> Widgets', 'blogolife'); ?>
				</p>
			</aside>

			<aside id="archives" class="widget sidebar-section">
				<div class="sidebar-section-title page-header blogolife-gradient">
					<?php _e( 'Archives', 'blogolife' ); ?>
				</div>
				<ul>
					<?php wp_get_archives( array( 'type' => 'monthly' ) ); ?>
				</ul>
			</aside>

			<aside id="meta" class="widget sidebar-section">
				<div class="sidebar-section-title page-header blogolife-gradient">
					<?php _e( 'Meta', 'blogolife' ); ?>
				</div>
				<ul>
					<?php wp_register(); ?>
					<li><?php wp_loginout(); ?></li>
					<?php wp_meta(); ?>
				</ul>
			</aside>
		<?php endif; ?>
	</aside><!-- .sidebar .widget-area -->
<?php endif; ?>
