<?php
if ( ! class_exists( 'Bltk' ) ) exit;
/**
 * Template Name: FAQ
 *
 * @package WordPress
 * @subpackage BlogoLife
 * @since BlogoLife 3.0.7
 * @author Valeriu Tihai
 * @author Stylish WordPress Themes
 * @link https://stylishwp.com
 */
?>
<?php
	$args = array(
		'post_type' => 'post_faq',
		'post_status' => 'publish',
		'posts_per_page' => '-1',
		);
	$faq_without_category = null;
	$faq_without_category = new WP_Query( $args );

	$faq_categorys = get_terms( array(
		'taxonomy' => 'bltk_faq_category',
		'hide_empty' => true,
	) );
 ?>
<?php get_header(); ?>
<div class="row content collapse">
	<div class="columns small-12 medium-7 large-9 col_content" >
		<main id="main" class="site-main" role="main">
			<div class="page-header blogolife-gradient page-title">
				<h1><?php the_title(); ?></h1>
			</div>
			<div class="faq-list cpt-list ">
				<?php if (empty($faq_categorys)) : ?>
					<?php if( $faq_without_category->have_posts() ) : ?>
						<ul class="accordion" data-accordion data-allow-all-closed="true" data-multi-expand="true">
						<?php while( $faq_without_category->have_posts() ) : $faq_without_category->the_post(); ?>
							<?php get_template_part( 'inc/templates/content', 'faq' ); ?>
						<?php endwhile; wp_reset_postdata(); ?>
						</ul>
					<?php else : ?>
						<p><?php _e( 'Sorry, no items matched your criteria.', 'blogolife' ); ?></p>
					<?php endif; ?>
				<?php else : ?>
					<?php foreach ($faq_categorys as $key => $value) :
						$args = array(
							'post_type' => 'post_faq',
							'post_status' => 'publish',
							'posts_per_page' => '-1',
							'tax_query' => array(
								array(
									'taxonomy' => 'bltk_faq_category',
									'field'    => 'slug',
									'terms'    => $value->name,
								),
							),
						);
						$faq = null;
						$faq = new WP_Query( $args );
						//var_dump($faq);
						if( $faq ->have_posts() ) : ?>
							<article>
								<header class="entry-header">
									<h2 class="entry-title"><a><?php echo $value->name; ?></a></h2>
								</header>
								<div class="postformat  blogolife-gradient">
									<i class="fa fa-question" aria-hidden="true"></i>
								</div>
								<ul class="accordion" data-accordion data-allow-all-closed="true" data-multi-expand="true">
									<?php while( $faq ->have_posts() ) : $faq ->the_post(); ?>
										<?php get_template_part( 'inc/templates/content', 'faq' ); ?>
									<?php endwhile; wp_reset_postdata(); ?>
								</ul>
							</article>
							<?php else : ?>
								<p><?php _e( 'Sorry, no items matched your criteria.', 'blogolife' ); ?></p>
						<?php endif; ?>
					<?php endforeach; ?>
				<?php endif; ?>
			</div>
		</main><!-- .site-main -->
	</div>
	<div class="columns small-12 medium-5 large-3 col_sidebar">
		<?php get_sidebar(); ?>
	</div>
</div>
<?php get_footer(); ?>
